MyGUI::DataFileStream Class Reference

`#include <MyGUI_DataFileStream.h>`

Inheritance diagram for MyGUI::DataFileStream:
[legend]

## Public Member Functions

| DataFileStream ()=default
| DataFileStream (std::unique_ptr< std::ifstream > &&_stream)
| ~DataFileStream () override
Public Member Functions inherited from MyGUI::DataStream
| DataStream ()
| DataStream (std::istream *_stream)
bool | eof () override
size_t | size () override
void | readline (std::string &_source, Char _delim) override
size_t | read (void *_buf, size_t _count) override
Public Member Functions inherited from MyGUI::IDataStream
virtual | ~IDataStream ()=default

## Additional Inherited Members

Protected Attributes inherited from MyGUI::DataStream
std::istream * | mStream
size_t | mSize

## Detailed Description

Definition at line 17 of file MyGUI_DataFileStream.h.

## Constructor & Destructor Documentation

## DataFileStream() [1/2]

MyGUI::DataFileStream::DataFileStream | ( |  | ) |

default

## DataFileStream() [2/2]

MyGUI::DataFileStream::DataFileStream | ( | std::unique_ptr< std::ifstream > && | _stream | ) |

Definition at line 13 of file MyGUI_DataFileStream.cpp.

## ~DataFileStream()

MyGUI::DataFileStream::~DataFileStream | ( |  | ) |

override

Definition at line 19 of file MyGUI_DataFileStream.cpp.

The documentation for this class was generated from the following files:

- MyGUI_DataFileStream.h
- MyGUI_DataFileStream.cpp